libav (6:9.11-3) unstable; urgency=low

  * Add upstream patch to enable PIC on s390(x), Closes: #726733

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 05 Mar 2014 02:49:52 +0000

libav (6:9.11-2) unstable; urgency=low

  * Avoid the use of pipes to not cover segfaulting libavcodecs (cf. #726733)
  * refactor call_and_install_avconv_dump functionality
  * Rebuild against libfreetype 2.5.1 (closes: #731307)
  * i386 shared builds must be optimized for 586, (closes: 728928, #688384)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Feb 2014 14:34:54 +0000

libav (6:9.11-1) unstable; urgency=low

  * Imported Upstream version 9.11
    - drop patch mathematics-remove-asserts-from-av_rescale_rnd.patch,
      merged upstream
    - mathematics: remove asserts from av_rescale_rnd, (Closes: #718805)
  * Support Opus in Ogg containers (Closes: #733884, 720563)
  * Refactor conffile moving
  * No longer build-depend on libtiff4-dev. Closes: #736020
  * Disable opencv filter because of #737584
  * Check upstream OpenPGP signatures (Closes: #723692)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 05 Feb 2014 00:24:42 +0000

libav (6:9.10-3) unstable; urgency=low

  * Add upstream patch: mathematics: remove asserts from av_rescale_rnd
    Closes: #718805
  * Remove the makeinfo patch, it just disables generation of the html
    equivalents of the manpages
  * No longer build-depend on libtiff4-dev. Closes: #736020
  
 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Jan 2014 08:13:40 -0500

libav (6:9.10-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Fix upstream changelog link in previous changelog entry.
  * Transition from the "texi2html" utility to the "makeinfo" utility from the
    texinfo package, fixes build-depends-on-obsolete-package lintian error and
    addresses <https://lists.debian.org/debian-devel/2013/05/msg01516.html>.
  * debhelper (>= 9) is now available in stable and old-bpo.
  * Use "set -e" in the body of the libav-tools maintainer scripts.
  * Fix vcs-field-not-canonical lintian warning.
  * Set executable permissions for qt-faststart, fixes unstripped-binary-or-object
    lintian warning.
  * Fix some spelling errors detected by lintian.

  [ Reinhard Tartler ]
  * compile against libtiff5-dev
  * Drop some special code paths for building the ubuntu flavor
    (no longer necessary over there)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Nov 2013 08:35:04 -0500

libav (6:9.10-1) unstable; urgency=medium

  * New upstream release 9.10
  * Too many security related upstream changes to list here, please cf. to
    upstream changelog:
    http://git.libav.org/?p=libav.git;a=blob;f=Changelog;hb=refs/tags/v9.10
  * Urgency set to medium because new upstream release fixes many security
    issues.
  * Do not accidentally overwrite installed binaries from different flavors.
    Thanks to Fabian Greffrath for the patch (Closes: #725956)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 10 Oct 2013 10:53:54 -0400

libav (6:9.9-1) experimental; urgency=low

  * New upstream release 9.9
  * Too many security related upstream changes to list here, please cf. to
    upstream changelog. Closes: #717009

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Oct 2013 18:07:14 -0400

libav (6:9.8-2) unstable; urgency=low

  * Upload to unstable
  * Weaken dependencies on libx264, opencv and frei0r for now to allow
    compilation. This dependency will be tightened as soon as the
    libraries have been updated in unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 13 Aug 2013 15:10:05 +0200

libav (6:9.8-1) experimental; urgency=low

  * New upstream release 9.8, Closes: #716734, #716735
  * Upstream Changes:
  
     - kmvc: Clip pixel position to valid range
     - kmvc: Use fixed sized arrays in the context
     - indeo: Reject negative array indexes
     - indeo: Check for reference when inheriting motion vectors
     - indeo: Properly forward the error codes
     - mjpeg: Check the unescaped size for overflows
     - wmapro: Error out on impossible scale factor offsets
     - wmapro: Check the min_samples_per_subframe
     - wmapro: Return early on unsupported condition
     - wmapro: Check num_vec_coeffs against the actual available buffer
     - wmapro: Make sure there is room to store the current packet
     - lavc: Move put_bits_left in put_bits.h
     - 4xm: Do not overread the source buffer in decode_p_block
     - 4xm: Check bitstream_size boundary before using it

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2013 08:26:24 +0200

libav (6:9.7-1) experimental; urgency=low

  * New upstream release 9.7, Most of the following fixes resulted from
    test samples that the Google Security Team has kindly made available:

     - 4xm: fix several programming errors to avoid crashes, etc.
     - apetag: use int64_t for filesize
     - jpegls: Fix invalid writes to memory
     - ljpeg: use the correct number of components in YUV
     - mjpeg: Validate sampling factors
     - mjpegdec: properly report unsupported disabled features
     - mjpegdec: validate parameters in mjpeg_decode_scan_progressive_ac
     - mpegvideo: allocate sufficiently large scratch buffer for interlaced vid
     - pixdesc: mark gray8 as pseudopal
     - smacker: fix several programming errors to avoid crashes, etc.
     - tiff: do not overread the source buffer
     - vmd: drop incomplete chunks and spurious samples
     - vmdav: convert to bytestream2 to avoid invalid reads and writes
     - wavpack: check packet size early
     - wavpack: use bytestream2 in wavpack_decode_block
     - wavpack: validate samples size parsed in wavpack_decode_block

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2013 17:21:27 +0200

libav (6:9.6-2) experimental; urgency=low

  * Tighten build dependency on libx264, Closes: #709817
  * Introduce the libavcodec-extra meta-package
  * No longer check for --enable-dirac switch
  * Bump standards version
  * Cleanup some obsolete Package relationship fields
  * Drop obsolete DM-Upload field
  * libavcodec-extra: add misc:Depends substvar
  * Factor out binary-indep builds
  * Install tool HTML documentation into libav-tools package

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 29 May 2013 22:07:02 +0200

libav (6:9.6-1) experimental; urgency=low

  * New Upstream release 9.6
    - wav: Always seek to an even offset, Bug #500, LP: #1174737
    - various security relevant patches

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 May 2013 10:54:36 +0200

libav (6:9.5-1) experimental; urgency=low

  * New Upstream version 9.5:
    - Most of the following fixes resulted from test samples that
      the Google Security Team has kindly made available

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 25 Apr 2013 22:32:11 +0200

libav (6:9.4-1) experimental; urgency=low

  * Imported Upstream version 9.4
    - h264: check for luma and chroma bit dept being equal (CVE-2013-2277)
    - iff: validate CMAP palette size (CVE-2013-2495)
    - Thus, closes: #703200
  * debian/watch: download xz files and  tigthen checks

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Mar 2013 07:30:01 +0100

libav (6:9.3-1) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Stop using CDBS.

  [ Reinhard Tartler ]
  * Imported Upstream version 9.2 (never uploaded, though)
  * Imported Upstream version 9.3:
    - Fixes CVE-2013-0894
  * drop 02-fix-build-on-non-armv5te.patch, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Mar 2013 14:34:27 +0100

libav (6:9.1-3) experimental; urgency=low

  * Build-depend on libopus-dev.
  * Stop needlessly build-depending on libcv-dev.
  * Tighten build-dependencies on frei0r-plugins-dev, libopencv-dev and
    libx264-dev, to use experimental packages.
  * Have libav-tools and libavfilter3 suggest frei0r-plugins.
  * Add upstream patch 02 to fix build on armel without armv5te support.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jan 2013 15:54:42 +0100

libav (6:9.1-2) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Document all licensing of binary packages in README.Debian (not
    partly as comment in copyright file), to avoid confusing source
    issued licenses with binary resolved licensing.

  [ Reinhard Tartler ]
  * Bump shlibs to 6:9.1-1
  * Fix internal shlibs

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Jan 2013 10:06:15 +0100

libav (6:9.1-1) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Rewrite copyright file using copyright format 1.0.
    Closes: bug#694657. Thanks to Francesco Poli.
  * Include CDBS utils.mk, to track future copyright/licensing changes.
    Build-depend on cdbs. Update README.source.

  [ Reinhard Tartler ]
  * Imported Upstream version 9
    - New releases fixes (among others) CVE-2012-2882 CVE-2012-5359
      CVE-2012-5360 CVE-2012-5361, Closes: #694483
  * drop debian/recordshow.sh
  * ignore shlib-with-non-pic-code also for libavcodec-extra-54
  * make libavcodec54/libavcodec-extra-54 properly conflict/replace each other

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Jan 2013 22:42:25 +0100

libav (6:9~beta3-1) experimental; urgency=low

  * New upstream version.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 21 Dec 2012 15:32:13 +0100

libav (6:9~beta2-4) experimental; urgency=low

  * Fix compilation on the buildds

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 16 Nov 2012 07:56:59 +0100

libav (6:9~beta2-3) experimental; urgency=low

  * Include all post 9beta2 patches
    - Fixes linking with libavfilter/libavutil, Closes: #693040
  * libavresample1: Unbreak partial updates by adding Replaces
    relationship with libavresample0, Closes: #693327
  * Fix installation of doxygen HTML pages.
  * add lintian override for libavcodec-extra-54

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Nov 2012 21:29:50 +0100

libav (6:9~beta2-2) experimental; urgency=low

  * add post 9 beta2 patches
  * import bits from ubuntu to minimize the diff
  * Remove stale Conflicts/Replaces on libavutil51, fixes instability
    issues with libavutil51.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 Nov 2012 17:21:15 +0100

libav (6:9~beta2-1) experimental; urgency=low

  * new upstream release: libav 9 beta2
  * Imported Upstream version 9~beta2
  * SONAME bump: libavutil51->libavutil52, (Closes: #691088)
  * bump shlibs file
  * fix package names to follow correct soname of libavresample1

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Oct 2012 18:49:26 +0200

libav (6:9~beta1-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * Imported Upstream version 6:0.8.99-3213-gd16860a

  [ Andres Mejia ]
  * Update libav-doc doc base. (Closes: #674139)

  [ Fabian Greffrath ]
  * Use the cond_enable() macro for all additional features in
    debian/confflags.
  * Tidy up and sort configuration flags.
  * Add a debian/README.source file that describes how to rebuild libav with a
    reduced feature set in order to avoid circular build-dependencies for
    bootstrapping.
  * Restrict Build-Depends to "yasm [any-amd64 any-i386]" and explicitely
    disable it if not found.

  [ Reinhard Tartler ]
  * add dependency on libavcodec54 to libav-dbg
  * add Pre-Depend on dpkg to libav-tools to ensure smooth updates
  * libav-tools.install: make files to install more explicit

  [ Loïc Minier ]
  * Install the shared flavor last
  * control/Uploaders: update my email address

  [ Reinhard Tartler ]
  * Declare a 'Breaks' relationship against mplayer, Closes: #671934
  * Bug fix: "Multi-Arch: foreign libraries", thanks to Stepan Golosunov.
  * Remove Multi-arch header from the empty, transitional -extra- packages

  [ Fabian Greffrath ]
  * Mention qt-faststart in the long description (Closes: #681491.)
  * Install all debug symbols into libav-dbg (Closes: #680602).
  * Do not run doxygen if it is not installed.
  * Fix up debian/changelog and get dependencies right accordingly.

  [ Reinhard Tartler ]
  * Make libav-extra-dbg arch:all
  * Fix generation of shlibs file (Closes: #679542)

  [ Fabian Greffrath ]
  * Also make libav-regular-dbg 'arch: all' for consistency with the other debug packages.
  * Fix generation of shlibs file not only for libavcodec*, but for all the other library packages as well.
  * Use xz compression for binary packages, thanks Ansgar Burchardt (Closes: #683895).

  [ Reinhard Tartler ]
  * Drop the package libav-regular-dbg

  [ Fabian Greffrath ]
  * Clarify relations between libavcodec54 and libavcodec-extra-54 in debian/control.

  [ Reinhard Tartler ]
  * New Upstream version: 9 beta1
  * remove compatibility links for ff* tools.
  * New release fixes all known CVE entries so far (Closes: #688847)
  * libav-dbg: avoid dependency on 'ffmpeg' package
  * remove package libav-extra-dbg
  * allow co-installation of libav-dbg with libavcodec-extra-54
  * temporarily disable libopus support until #690563 is fixed

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Oct 2012 18:38:46 +0200

libav (6:0.8.99-1537-gacb2c79-2) experimental; urgency=low

  [ Rico Tzschichholz ]
  * Fix lintian-overrides after soname bump
  * Fix some conflicts/replaces
  * Bump shlibs version

  [ Reinhard Tartler ]
  * Update changelog

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 15 May 2012 09:21:24 +0200

libav (6:0.8.99-1537-gacb2c79-1) experimental; urgency=low

  * New upstream snapshot
    - Drop patches applied upstream
    - Longer build libpostproc, dropped upstream
    - follow soname bump of libavcodec and libavformat 53->54
    - New library: libswresample
  * no longer build and use dirac, removed upstream in favor of libschroedinger
  * remove deprecated ffmpeg package
  * bump shlibs version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 May 2012 22:02:03 +0200

libav (6:0.8.8-1) unstable; urgency=low

  * Imported Upstream version 0.8.7, new releases fixes a number of
    security relevant patches.
  * backport patch from upstream to make samplefmt auto-aling buffers
    (Closes: #713856)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Jul 2013 22:00:28 +0200

libav (6:0.8.7-1) unstable; urgency=medium

  * Imported Upstream version 0.8.7, new releases fixes:
    - wav: Always seek to an even offset, Bug #500, LP: #1174737
    - A number of further security relevant patches.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 May 2013 11:04:00 +0200

libav (6:0.8.6-1) unstable; urgency=low

  * Imported Upstream version 0.8.6, new releases fixes:
    - h264: check for luma and chroma bit depth being equal (CVE-2013-2277)
    - iff: validate CMAP palette size (CVE-2013-2495)
    - msrledec: convert to bytestream2 API and add proper bounds checking (CVE-2013-2496)
    - vorbisdec: Error on bark_map_size equal to 0 (CVE-2013-0894)
    - Thus, closes: #703200

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Mar 2013 07:35:51 +0100

libav (6:0.8.5-1) unstable; urgency=low

  * New upstream security/bugfix release. New releases fixes
    (bug numbers reference http://bugzilla.libav.org, Closes: #694483)
    - Indeo 4 (CVE-2012-2791)
    - VP5/VP6 (CVE-2012-2783)
    - Indeo 3 (CVE-2012-2804)
    - MPEG-1/2 (CVE-2012-2803)
    - MP3 (CVE-2012-2797)
    - AAC (CVE-2012-5144)
    - AC-3 (CVE-2012-2802)
    - AVS (CVE-2012-2801)
    - DFA (CVE-2012-2798)
    - ID3v2 (Bug 395)
    - Serious Memory leaks on broken Ogg files
  * drop recordshow script. This clearly undermaintained script has
    unclear copyright status and is unlikely to work properly anyway.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Jan 2013 11:56:59 +0100

libav (6:0.8.4-1) unstable; urgency=low

  * New upstream security/bugfix release. New release fixes:
    (bug numbers reference http://bugzilla.libav.org, Closes: #688847)
    - h264 (Bug 118), vc1dec (CVE-2012-2796), sipr, bmpdec (bug 367), alsdec
      (CVE-2012-2775), rv34/rv40 (CVE-2012-2772), indeo3/indeo4
      (CVE-2012-2776, CVE-2012-2779, CVE-2012-2787, CVE-2012-2794,
      CVE-2012-2800), vorbisenc, vorbisdec (Bug 277), snow, ac3dec
      (CVE-2012-2802), avsdec (CVE-2012-2801), dfa (CVE-2012-2786,
      CVE-2012-2798), lagrith (CVE-2012-2793), wmaprodec (CVE-2012-2789 &
      Bug 327), avidec (CVE-2012-2788, CVE-2012-2790), cavsdec
      (CVE-2012-2777, CVE-2012-2784), wav (Bug 379), yuff4mpeg (Bug 373),
      mpegaudio, tiffenc, smacker (Bug 265).
    - smaller bug fixes in avconv (Bug 352)
    - fix lt() and lte() in function evaluator
    - fix segfault in avformat_open_input()
    - fix segfault in golomb decoder (bug 310)
    - fix segfault (double free) in libavfilter
    - convert dfa decoder to bytestream2 API to protect from overreads
    - bugfix in vf_pad/scale filter (Bug 203 & 245)
    - lavc: remove stats_out and stats_in from the options table.
      (Bug 380, Closes: #690726)
  * Drop patches applied upstream.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 22 Oct 2012 20:57:08 +0200

libav (6:0.8.3-7) unstable; urgency=low

  [ Fabian Greffrath ]
  * Fix generation of shlibs file not only for libavcodec*, but for all the
    other library packages as well. Really closes: #679542
  * Use xz compression for binary packages, thanks Ansgar Burchardt
    (Closes: #683895).

  [ Reinhard Tartler ]
  * use EPOCH macro in SHLIBS_VERSION
  * Drop the package 'libav-regular-dbg'. It was not included in squeeze.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Aug 2012 11:08:48 +0200

libav (6:0.8.3-6) unstable; urgency=low

  * Clarify the changes in the 6:0.8.3-5 upload, as discussed in bug
    #683247.
  * Make ffmpeg-dbg 'arch: all' for consistency with the libav-extra-dbg
    package.
  * Fix generation of shlibs file. (Closes: #679542)
    Wrong make variables where used for the shlibs generation.
  
 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Aug 2012 09:03:54 +0200

libav (6:0.8.3-5) unstable; urgency=low

  [ Reinhard Tartler ]
  * Bug fix: "Multi-Arch: foreign libraries", thanks to Stepan Golosunov.
    Make the transitional libavfoo-extra-NN packages 'arch: all' and
    remove the 'Multi-Arch: foreign' fields to avoid that the dependency
    can be satisfied by packages of other architectures, which would break
    applications. Closes: #680613
  * Make libav-extra-dbg 'arch: all'.  As empty, transitional package
    without strict dependencies, we can safely ship it as arch:all
    package.

  [ Fabian Greffrath ]
  * Mention qt-faststart in the long description (Closes: #681491).
  * Install all debug symbols into libav-dbg (Closes: #680602).
  * Do not run doxygen if it is not installed. This does not change anything
    for regular builds, but helps with bootstrapping the package to new
    architectures that may not have doxygen available yet.
  * Fix up debian/changelog and tighten dependencies.
  * Do not declare "ffmpeg" as virtual package (provided by libav-tools).
    Instead, we provide it as transitional package for libav-tools. Note
    the next upstream version will no longer provide neither an 'ffmpeg'
    package, nor a /usr/bin/ffmpeg binary. This means that front-end
    applications in Debian that previously used this binary needs to be
    ported to /usr/bin/avconv for jessie.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 Jul 2012 23:13:42 +0200

libav (6:0.8.3-4) unstable; urgency=low

  * Declare a 'Breaks' relationship against mplayer, Closes: #671934

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jun 2012 08:46:42 +0200

libav (6:0.8.3-3) unstable; urgency=low

  * Install the shared flavor last; the binaries from the optimized flavor(s)
    would overwrite the ones from the shared baseline flavor causing SIGILL;
    closes: #657885.
  * control/Uploaders: update my email address

 -- Loïc Minier <lool@debian.org>  Mon, 25 Jun 2012 21:21:24 +0200

libav (6:0.8.3-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Clarify relations between libavcodec53 and libavcodec-extra-53
    in debian/control.
  * Use the cond_enable() macro for all additional features in debian/confflags.
  * Tidy up and sort configuration flags.
  * Add a debian/README.source file that describes how to rebuild libav
    with a reduced feature set in order to avoid circular build-dependencies
    for bootstrapping.
  * Restrict Build-Depends to "yasm [any-amd64 any-i386]"
    and explicitly disable it if not found.

  [ Reinhard Tartler ]
  * add patch from upstream to fix playback of Canon AVHCD movies.
    (Fixes: LP: #937561)
  * fix location in ffmpeg.NEWS file
  * add dependency on libavcodec53 to libav-dbg
  * add Pre-Depend on dpkg to libav-tools to ensure smooth updates
  * {ffmpeg,libav-tools}.install: make files to install more explicit

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Jun 2012 19:06:49 +0200

libav (6:0.8.3-1) unstable; urgency=medium

  [ Andres Mejia ]
  * Update libav-doc doc base. (Closes: #674139)

  [ Reinhard Tartler ]
  * New upstream release 0.8.3:
    - Several bugs and crashes have been fixed in the following codecs: PNG,
      Electronic Arts TQI, H.264 (CVE-2012-0851) and H.263 (CVE-2011-3937)
  * Raising severity because of security issues.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Jun 2012 13:25:31 +0200

libav (6:0.8.2-2) unstable; urgency=low

  * Revert "temporarily disable opencv to work around dependency troubles"
  * Simplify internal dependencies (Closes: #672791)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 May 2012 21:37:59 +0200

libav (6:0.8.2-1) unstable; urgency=medium

  * New upstream release:
    - Several bugs and crashes have been fixed in the following codecs: AAC,
      APE, H.263, H.264, Indeo 4, Mimic, MJPEG, Motion Pixels Video, RAW,
      TTA, VC1, VQA, WMA Voice, vqavideo (CVE-2012-0947).
    - Several bugs and crashes have been fixed in the following formats:
      ASF, ID3v2, MOV, xWMA
    - This release additionally updates the following codecs to the
      bytestream2 API, and therefore benefit from additional overflow
      checks: truemotion2, utvideo, vqavideo
  * drop 02-fix-avpreset-extension.patch, applied upstream
  * Revert "Revert "temporarily disable opencv to work around dependency
           troubles"" (Closes: #671302)
  * Bumped urgency because of security issue.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 May 2012 11:08:44 +0200

libav (6:0.8.1-7) unstable; urgency=low

  * Fix build for hurd. Thanks to Samuel Thibault for patch. (Closes: #613034)
    (Closes: #671038)
  * Properly migrate /etc/ffserver.conf to /etc/avserver.conf.
    (Closes: #660786)
  * Renable opencv support.

 -- Andres Mejia <amejia@debian.org>  Tue, 01 May 2012 21:33:13 -0400

libav (6:0.8.1-6) unstable; urgency=low

  * Fix epoch in strict internal dependencies. Closes: #670861
  * Temporarily disable opencv to work around dependency trouble

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 30 Apr 2012 08:14:20 +0200

libav (6:0.8.1-5) unstable; urgency=low

  [ Andres Mejia ]
  * Fix issue with file not being multiarch compatible. (Closes: #669988)

  [ Reinhard Tartler ]
  * Bump epoch to fix messed upload to unstable (Closes: #670762)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Apr 2012 10:30:26 +0200

libav (5:0.8.1-4) unstable; urgency=low

  * Use a Provides field to provide transitional packages instead of Conflicts.
    (Closes: #666401)
  * Have both libavcodec and libavcodec-extra package conflict with each other.

 -- Andres Mejia <amejia@debian.org>  Fri, 30 Mar 2012 10:15:50 -0400

libav (5:0.8.1-3) unstable; urgency=low

  * Separate the ffmpeg program into the transitional package.
  * Change ffmpeg warning so that it's clearer the program is
    deprecated (LP: #939863)

 -- Andres Mejia <amejia@debian.org>  Thu, 29 Mar 2012 13:13:01 -0400

libav (5:0.8.1-2) experimental; urgency=low

  [ Andres Mejia ]
  * Merge libav-extra packages to libav. (Closes: #658084)
  * Provide only libavcodec-extra package, the other packages are unnecessary.
  * Remove libav-source package. No longer necessary.
  * Remove dependencies and suggests of FAAD, no longer needed.
  * Set Enhances field and update package description for libavcodec-extra
    package. (Closes: #653451)
  * Fix issue with installation of debug symbols. (Closes: #642798)

  [ Fabian Greffrath ]
  * Mention license impact in libavcodec-extra-53's package description.

 -- Andres Mejia <amejia@debian.org>  Wed, 21 Mar 2012 15:52:58 -0400

libav (4:0.8.1-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Bump shlibs (Closes: #662793)
  * force upgrades of older libavcodec-extra-53 packages
  * drop all post-0.8 patches, applied upstream
  * bump standards version, no changes needed
  * Imported Upstream version 0.8.1
  * Bumped urgency to medium because of included security fixes:
    CVE-2012-0848, CVE-2012-0853, CVE-2012-0858, CVE-2011-3929,
    CVE-2011-3936, CVE-2011-3937, CVE-2011-3940, CVE-2011-3945,
    CVE-2011-3947, CVE-2011-3951, CVE-2011-3952

  [ Andres Mejia ]
  * Enable frei0r support.
  * Enable tls support through gnutls.
  * Enable libcdio support.
  * Enable opencv support.
  * Enable pulse support.
  * Enable vaapi for all architectures.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 19 Mar 2012 08:39:18 +0100

libav (4:0.8-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * confflags: use --enable-pic instead of manually messing with cflags
  * Import post 0.8 patches
  * Bugfix: expects wrong preset file extension (Closes: #660978)
    Thanks to Laurento <laurento.frittella@gmail.com> for spotting this.

  [ Alessio Treglia ]
  * Fix maintainer's name.

  [ Fabian Greffrath ]
  * Enable hardened build flags through dpkg-buildflags (Closes: #658929).
  * Fix format string vulnerability detected by -Wformat-security.
  * Filter out system-wide setting of -Bsymbolic-functions to avoid FTBFS.
  * Set CPPFLAGS separately.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 05 Mar 2012 19:47:54 +0100

libav (4:0.8-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Remove the last remainders of explicit quilt usage in
    pre-3.0 source formats.
  * Urgency bumped to medium because of RC bugs and unfixed security
    issues in testing.
  * Imported Upstream version 0.8
    - Bug fix: "Segfaults when using vaapi", thanks to Andrey Rahmatullin
      (Closes: #656572). That crash is most likely caused by auto-enabling
      multi-threading. This behavior got reverted just before this release.
  * Drop post-0.8b2 patches
  * Bump shlibs for addition of new audio encoding API
  * Extend package descriptions to include a note what libav actually is
  * debian/watch: fix mangling of '_' characters.
  * drop unused lintian override in debian/control
  * provide compatibility links for ffserver, ffplay and ffprobe
    (Closes: #655683)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Jan 2012 21:24:22 +0100

libav (4:0.8~beta2-3) unstable; urgency=low

  [ Fabian Greffrath ]
  * Fix debian/*.install file generation on archs (e.g. armel) that build
    more than only one optimized shared library (Closes: #656184).

  [ Reinhard Tartler ]
  * add additional post-0.8b2 patches

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 17 Jan 2012 22:31:32 +0100

libav (4:0.8~beta2-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Properly set the library paths for multiarch and shared libs in
    debian/*.install instead of using brace expansion and asterisks.

  [ Reinhard Tartler ]
  * Fix upgrade path from earlier versions of the 'ffmpeg' package
    (Closes: #655917)
  * Sync post v0.8b2 commits
  * extend package description to include a note what libav actuall is
  * place transitional packages in oldlibs/extra section to assist package
    managers
  * drop unused lintian override in debian/control

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 Jan 2012 16:19:41 +0100

libav (4:0.8~beta2-1) unstable; urgency=low

  * New Upstream version 0.8~beta2:
    - Confirm that this release does not inhibit the following security issues:
      - DoS in MKV demuxer,
        - CVE-2011-3893, Closes: #654572
      - Double free vuln in the Theora decoder,
        - CVE-2011-3892, Closes: #654571
      - heap-based buffer overflow in vorbis decoder:
        - CVE-2011-3895, Closes: #654573
      - Closes: #654534
    - Bug fix: "libswscale crashes when upscaling pictures using
      hyscale_fast2, MMX variant on amd64 with gcc-4.6 and later",
      thanks to Harald Dunkel (Closes: #647824).
    - Clarify that libavutil/avutil.h doesn't include mathematics.h any more in
      APIchanges documentation. Thanks: Jonathan Nieder <jrnieder@gmail.com>,
      Closes: #654303
  * Disable configuration mismatch warnings (Closes: #619530)
  * Rename package libav to libav-tools (Closes: #654984)
  * Refresh patches

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 11 Jan 2012 16:45:28 +0100

libav (4:0.8~beta1-2) experimental; urgency=low

  * fix build failures by dropping unnecessary configure flags

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Jan 2012 08:48:06 +0100

libav (4:0.8~beta1-1) experimental; urgency=low

  * New upstream release.
    - too many changes to list, please refer to upstream's Changelog file
    for details

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 30 Dec 2011 23:45:34 +0100

libav (4:0.7.3-2) unstable; urgency=low

  * forcefully disable v4l on kfreebsd, fixes an FTBFS on kFreeBSD

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 26 Dec 2011 10:50:36 +0100

libav (4:0.7.3-1) unstable; urgency=high

  * New upstream version. Includes fixes for:
     - VP3 decoder (CVE-2011-4352)
     - svq1 decoder (CVE-2011-4579)
     - DoS in the VP5/VP6 decoders (CVE-2011-4353)
     - QDM2 decoder (CVE-2011-4351)
     - Sierra VMD decoder (CVE-2011-4364)
  * Bumped urgency.
  * Enable drawtext filter (Closes: #647132)
  * Imported Upstream version 0.7.3
  * Bump shlibs for backported avcodec_open2() API

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 25 Dec 2011 22:04:54 +0100

libav (4:0.7.2-1) unstable; urgency=low

  * New upstream release: 0.7.2
    - Security focused release
    - Includes Matroska reallocation checks, Closes: #643859
  * Drop all post 0.7.1 patches, included upstream.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 30 Sep 2011 21:01:25 +0200

libav (4:0.7.1-7) unstable; urgency=medium

  * Add 63 (!) additional post 0.7.1 patches
    - all scheduled for next upstream point release
    - Fix missing CAVS boundary checks, Closes: #641478, Fixes: CVE-2011-3362
  * Medium urgency for fixing a security issue
  * Drop debian/patches/03-fix-movrel.patch, better patch upstream
  * prefer libtiff4 over libtiff5 for now

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 26 Sep 2011 22:24:47 +0200

libav (4:0.7.1-6) unstable; urgency=low

  * Convert package to include multiarch support.

 -- Andres Mejia <amejia@debian.org>  Fri, 23 Sep 2011 22:03:39 -0400

libav (4:0.7.1-5) unstable; urgency=low

  * sync patches with upstream release branch
  * Fix segmentation fault on ppc32, Closes: #639948

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 05 Sep 2011 07:25:06 +0200

libav (4:0.7.1-4) unstable; urgency=low

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 01 Sep 2011 22:45:43 +0200

libav (4:0.7.1-3) experimental; urgency=low

  * add post 0.7.1 patches
  * make MAP_ANONYMOUS available on Linux and the Hurd, Closes: #637516
  * libpostproc: filter name needs to be double 0 terminated
  * relax dependencies in the shlibs file to accomodate
    the new versioning scheme in libav-extra. Fixes LP: #818619
  * libswscale-dev: fix alternate on libswscale-extra-2, Fixes LP: #829857

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 25 Aug 2011 22:45:47 +0200

libav (4:0.7.1-2) experimental; urgency=low

  * Build against libx264. Closes: #418228, #440681
  * Build against libmp3lame, Closes: #587904
  * Build against xvidcore to enable xvid encoding
  * use yasm on every architecture. Should allow building on the Hurd

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jul 2011 21:58:18 +0200

libav (4:0.7.1-1) experimental; urgency=low

  [ Andres Mejia ]
  * Update to my @debian.org email.

  [ Reinhard Tartler ]
  * Pass --arch to configure
  * no longer generate 'snapshot_version'
  * disable jackd output support on the hurd
  * Use proper architecture wildcards for Linux-only dependencies,
    Closes: #634460
  * Drop "backported patches"
  * Imported Upstream version 0.7.1
  * Fix installation of codecs.txt and formats.txt

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Jul 2011 12:18:48 +0200

libav (4:0.7-2) experimental; urgency=low

  [ Arnout Engelen ]
  * libavformat-dev depends on libavutil-dev

  [ Reinhard Tartler ]
  * Add backported patches for 0.7.1

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Jul 2011 14:38:21 +0200

libav (4:0.7-1) experimental; urgency=low

  * New upstream release.
  * Fixes several potential security issues, Closes: #628448
  * Much imporved libavfilter, Closes: #594108
  * Fixes some overlapping memcpys my using memmove instead, Closes: #627818
  * Bump libswscale SONAME
  * Bump shlibs
  * Bump Standards version to 3.9.2

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Jun 2011 07:49:59 +0200

libav (4:0.7~rc1-1) experimental; urgency=low

  * New upstream version
  * Bug fix: "Please add ffmpeg-mt for multithreading support", branch has
    been finally merged now upstream properly (Closes: #575600).
  * remove 02-Fix-kfreeBSD-FTBFS.patch, applied upstream

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 14 Jun 2011 22:03:36 +0200

libav (4:0.7~beta2-2) experimental; urgency=low

  * refresh patches
  * rename Tweak-doxygen-config patch
  * add patch from upstream to fix build failure on kFreeBSD
  * ignore quilt .pc status directory

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 May 2011 10:49:54 +0200

libav (4:0.7~beta2-1) experimental; urgency=low

  [ Jonathan Nieder ]
  * only install doc/APIChanges in *-dev and libav-doc packages
  * move note on source package lineage to README.Debian
  * install NEWS.Debian in libavcodec-dev
  * use dpkg source format 3.0 (quilt)
  * allow "debian/rules clean" as unprivileged user

  [ Reinhard Tartler ]
  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 13 May 2011 12:31:33 +0200

libav (4:0.7~b1-2) experimental; urgency=low

  * don't try to install non-existing documentation, fixes FTBFS on powerpc
  * add NEWS.Debian file
  * install doc/APIChanges and refer to them in NEWS.Debian (Closes: #623682)
  * readd deprecated avcodec_thread_init in libavformat

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 May 2011 18:58:40 +0200

libav (4:0.7~b1-1) experimental; urgency=low

  * New upstream version
  * bump SONAME and SHLIBS
  * configure flags --disable-stripping was removed upstream
  * the MAINTAINERS file was removed upstream
  * remove patch disable-configuration-warning.patch
  * drop avfilter confflags, it is enable by default in 0.7
  * libfaad wrapper has been removed upstream
  * also update the *contents* of the lintian overrides

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Apr 2011 15:04:55 +0200

libav (4:0.6.2-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Imported Upstream version 0.6.2
    - include security fixes (Closes: #611495)
  * rename source package to libav
  * Switch to libav packages
  * copy in changelog entries from the 0.5 packaging branch (Closes: #616190)
  * update version numbering
  * make buildlogs verbose
  * Introduce 'libav-source', which contains the patched sources of libav
  * rename source package to libav

  [ Fabian Greffrath ]
  * Fix cp of doxy documentation fails with "Argument list too long" (Closes: #618679)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Mar 2011 08:13:46 +0100

ffmpeg (4:0.6.1-5) unstable; urgency=low

  * don't enable vaapi support on the hurd, Closes: #613034
  * minor updates to libswscale0's package description
  * Force upgrade of mplayer pre-rc4 for upgrades of libswscale,
    Closes: #612292

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Feb 2011 09:25:42 +0100

ffmpeg (4:0.6.1-4) unstable; urgency=low

  * no change rebuild to fix broken last upload.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Feb 2011 09:20:39 +0100

ffmpeg (4:0.6.1-3) unstable; urgency=low

  * add libxfixes-dev to build depends
  * minor packaging cleanups
  * revised package description
  * detect libopenjpeg and dirac at build-time
  * remove note about packages being "Debian-specific"
  * simplify lintian-overrides
  * Sanitize LDFLAGS variable; it seems that dpkg-buildflags injects
    -Wl,-Bsymbolic-functions to LDFLAGS, which breaks the build on amd64

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jan 2011 09:22:11 +0100

ffmpeg (4:0.6.1-2) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Relax mplayer Breaks to permit backports and other early releases.

  [ Reinhard Tartler ]
  * Bump Standards-Version, no changes needed.

  [ Matthias Klose ]
  * Configure with --enable-pic on powerpc. LP: #654666.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Nov 2010 10:50:51 +0100

ffmpeg (4:0.6.1-1) experimental; urgency=low

  * Imported Upstream version 0.6.1
  * prepare new upload
  * remove patches merged upstream
  * add gitignore file

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 01 Nov 2010 09:18:08 +0100

ffmpeg (4:0.6-2) experimental; urgency=low

  [ Fabian Greffrath ]
  * Enable RTMP[E] support via librtmp.
  * Disable aac encoder, see README.Debian.
  * Fix obsolete-relation-form for the internal dependencies.
  * Merge debian/README.Source into debian/README.source and add section
    headers.
  * Remove obsoleted support for the non-free libamr-nb/wb.

  [ Reinhard Tartler ]
  * enable runtime-cpudetect
  * conditionally build against opencore-amr if installed in the build
    environment
  * update upstream url in debian/copyright
  * fix usage documentation in debian/get-orig-source.sh
  * update dep3 headers for debian/patches/900_doxyfile
  * add proper replaces for moving presets back to ffmpeg
  * make debian/patches gbp-pq friendly
  * Add VP80 fourcc to libavformat/riff.c
  * Backport-AAC-HE-v2
  * bump Standards-Version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 29 Jun 2010 09:07:56 +0200

ffmpeg (4:0.6-1) experimental; urgency=low

  * new upstream release
    - adds VP8 support via libvpx, Closes: #582274
  * depend on libavfilter-extra-1 instead of -0, Closes: #583728
  * add conflicts to the ffprobe package, it has been merged upstream now

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 16 Jun 2010 09:25:28 +0200

ffmpeg (4:0.6~svn20100505-1) experimental; urgency=low

  * update to new upstream. Closes: #569727
    - fixes various segfaults and other minor feature improvements
      Closes: #374931, #522449, #501891, #559712, #420231, #369127, #538082,
              #298095, #294422, #561553, #525385, #495274, #420230
      LP: #305286, #457106, #529200, #301723, #305315, #336479, #420230,
          #412063, #428912, #432181, #440591, #453732, #453732, #453732,
          #514259, #515243, #521472, #530186, #530186, #197842, #483317,
          #483317, #539407, #280098, #331255, #566107, #569823, #570305,
          #573190
  * Fixup lintian overrides for new upstream snapshot
  * Bump Standards-Version to 3.8.4
  * Many upstream changes, see upstream Changelog for details

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Jan 2010 21:24:56 +0100

ffmpeg (4:0.5.2-6) unstable; urgency=high

  * Fix several security issues in flicvideo.c.
    Fixes: CVE-2010-3429, Closes: #598590
  * Raising severity to high because of security issue.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Oct 2010 16:59:39 +0200

ffmpeg (4:0.5.2-5) unstable; urgency=low

  [ Dominic Evans ]
  * add libxfixes-dev to build-depends to unbreak x11grab input,
    Closes: #596342, LP: #631103

  [ Reinhard Tartler ]
  * fix x11grab example in e.g. the manpage so that they actually work

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 13 Sep 2010 15:29:49 +0200

ffmpeg (4:0.5.2-4) unstable; urgency=low

  [ Loïc Minier ]
  * Fix typo: use -march=armv7-a instead of -marmv7-a

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 31 Aug 2010 15:31:05 +0200

ffmpeg (4:0.5.2-3) unstable; urgency=low

  [ Reinhard Tartler ]
  * Move breaks declaration from libavformat to libavcodec to help the
    apt solver, Closes: #591881

  [ Loïc Minier ]
    debian/confflags: detect whether the toolchain supports ARMv7 ("dmb")
    by default as the NEON pass needs at least ARMv6t2; if it's not enabled by
    default, pass -marmv7-a in extra-cflags for the NEON pass since NEON
    implies ARMv7; closes: #594417.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Aug 2010 01:24:10 +0200

ffmpeg (4:0.5.2-2) unstable; urgency=low

  * Enable some encoders:
    - h263, h263p, mpeg2video, mpeg4, msmpeg4v1, msmpeg4v2, msmpeg4v3
    Closes: #418231, #433287, #440216, #587898, #525349
  * Bump Standards Version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Aug 2010 11:59:26 -0400

ffmpeg (4:0.5.2-1) unstable; urgency=low

  [ Andres Mejia ]
  * Fix dependency problem for ffmpeg so it can use extra ffmpeg libs.

  [ Reinhard Tartler ]
  * move presets back to 'ffmpeg' package. Closes: #581748

  [ Fabian Greffrath ]
  * Imported Upstream version 0.5.2
  * Remove ffmpeg-debian_hurd.patch, applied upstream.
  * Remove fix-ftbfs-altivec.patch, applied upstream.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 25 May 2010 23:01:08 +0200

ffmpeg (4:0.5.1-3) unstable; urgency=low

  * fix ftbfs on powerpc

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Mar 2010 21:43:55 +0100

ffmpeg (4:0.5.1-2) unstable; urgency=low

  * reintroduce gnu/hurd patch
  * Fix compilation on powerpc with --disable-altivec

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Mar 2010 21:19:40 +0100

ffmpeg (4:0.5.1-1) unstable; urgency=low

  * new upstream release:
    - clarifies documentation on metadata, Closes: #570050, LP: #501729
    - further security backports, Closes: #570713
  * adapt to new versioning scheme
  * use '<<' instead of '<' relationship for internal shlib file
  * merge changes from ubuntu packaging
  * drop wmapro backport again as discussed with upstream. The unrelated
    changes seem too risky for a stable release.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 03 Mar 2010 22:28:24 +0100

ffmpeg (4:0.5+svn20090706-6) unstable; urgency=low

  [ Fabian Greffrath ]
  * debian/patches/901-fix-misc-typos.patch: New patch taken from
    upstream GIT (slightly modified) to fix some spelling errors.
  * Document our calling of debhelper programs in an odd order in
    debian/rules.

  [ Reinhard Tartler ]
  * document some unattributed patches
  * enable cpu autodetection in libswscale, Closes: #567725, LP: #386397

  [ Christopher Martin ]
  * backport wmapro codec from ffmpeg trunk

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 31 Jan 2010 16:53:47 +0100

ffmpeg (4:0.5+svn20090706-5) unstable; urgency=medium

  * Upload to unstable
  * Urgency medium because of fixed RC bugs (security issues)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Jan 2010 16:04:39 +0000

ffmpeg (4:0.5+svn20090706-4) experimental; urgency=low

  [ Loïc Minier ]
  * Use default toolchain setup on ARM flavors for noopt and only add FPU
    CFLAGS in the VFP and NEON flavors; this is ok since internally, cpu will
    be set to "generic" but -march=generic or -mcpu=generic will NOT be added
    to the build flags.
  * Build all armel flavours with -marm since ffmpeg has a lot of hand crafted
    assembly which doesn't build in the new lucid default mode (Thumb 2);
    LP: #488267
  * Build all armel flavours with -fPIC -DPIC instead of just the neon flavour
    as the new flags/toolchain require this in Ubuntu lucid.
  * Build some assembly test code -- just like configure -- to decide whether
    the *default* toolchain uses vfp or neon to decided whether to build the
    vfp and neon flavors.
  * Drop --disable/--enable opt flags such as --disable-neon or
    --enable-armvfp on ARM since the upstream configure script will do the
    right thing when the proper flags are set.

  [ Reinhard Tartler ]
  * build with PIC on powerpc (Closes: #561956)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 15 Jan 2010 21:46:49 +0100

ffmpeg (4:0.5+svn20090706-3) experimental; urgency=low

  [ Loïc Minier ]
  * Disable more autodetecter ARM arch features
  * Enable neon flavour
  * Update NEON confflags to assume v7 and VFP
  * Add backported NEON patches from ffmpeg trunk
  * Pass proper --cpu and --extra-flags on armel
  * Pass -fPIC -DPIC to neon pass

  [ Fabian Greffrath ]
  * Initialize the FLAVORS variable to static instead of appending to
    it. Also, we do not support the internalencoders variable anymore.

  [ Andres Mejia ]
  * Remove unused patches from packaging.
  * Update Vcs-* entries to new location.
  * Bump Standards-Version to 3.8.3.

  [ Reinhard Tartler ]
  * change shlibs file to make applications depend on the -extra- packages
  * loosen dependencies further, so that the -dev packages remain
    installable even if ffmpeg-extra is 'out-of-date'
  * add patch for issue1245: Make arguments of av_set_pts_info() unsigned.
  * Support constant-quant encoding for libtheora, LP: #356322
  * increase swscale compile time width (VOF/VOFW), LP: #443264
  * Backports of various security patches, Closes: #550442, including:
     - backport fixes for vorbis_dec
     - backport oggparsevorbis fix
     - backport vp3 fixes
     - backport ffv1 fix
     - libavcodec/mpegaudiodec.c backports
     - h264 security backports
     - backported libavformat/mov.c security fixes
     - backported libavformat/oggdec.c security fixes
     - backport svn r18016 aka 'MOV-Support-stz2-Compact-Sample-Size-Box'
       to fix FTBFS
  * enable symbol versioning
  * bump shlibs version
  * add README.source describing how this source package manages patches
  * make sure the ${misc:Depends} substvar is used for each binary package

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Jan 2010 16:27:40 +0100

ffmpeg (4:0.5+svn20090706-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Enable support for libdirac, now that it has entered Debian.

  [ Andres Mejia ]
  * Fix ordering of FLAVORS that are installed. (Closes: #543595)

  [ Reinhard Tartler ]
  * prepare new upload
  * simply debian/confflags by removing the case of renaming the source
    package

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 26 Aug 2009 09:12:49 +0200

ffmpeg (4:0.5+svn20090706-1) unstable; urgency=low

  * preparing new upstream version, 0.5 release branch, rev 19352
    - this version is capable of compiling swscale in LGPL mode
  * rename source package back
    - The replacement package with the 'missing bits' will be called
      'ffmpeg-extra'
    - simplify README.upstream-upgrade
    - rename the source package from 'ffmpeg-debian' -> 'ffmpeg'
  * fix aac playback regression, thanks to Matthew Wakeling for reporting
     (Closes: #540729)
  * fix seeking in DIF (DV) movies
     Thanks to Dan Dennedy for identifying the patch! (Closes: #540424)
  * debian/rules:
    - merge cond_enable_nf macro from master.extra branch
    - don't disable ffserver in various optimized variants
    - don't disable building of statically linked helper binaries
    - simply by removing the case of renaming the source package
    - change the shlibs file: s/-unstripped-/-extra-/

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Aug 2009 12:48:27 +0200

ffmpeg-debian (4:0.5+svn20090609-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Remove .install files for unstripped packages that we do not build
    from this branch anyway.
  * Remove debian/fixup-config.sh which was only a hack needed to repair
    the crippled config.h
  * Finally remove strip.sh.

  [ Andres Mejia ]
  * Add vdpau support by including vdpau headers in deb packaging.
    (Closes: #511544)
  * Don't disable encoders if internalencoders is set in
    DEB_BUILD_OPTIONS.
  * Enable yasm for i386 and amd64.

  [ Reinhard Tartler ]
  * clarifications suggested by upstream in README.Source
  * refresh patches

  [ Fabian Greffrath ]
  * Document the copyright notice and license for the VDPAU headers in
    debian/copyright.
  * Remove parallel make support from debian/confflags, it's overridden
    in debian/rules anyway.
  * Quote opts in debian/watch.
  * Bump debhelper compat to 7.
  * Clean up clean target in debian/rules in favour of debian/clean.
  * Replace "dh_clean -k" by dh_prep.

  [ Reinhard Tartler ]
  * remove duplicated libxvmc-dev build dependency
  * sort build dependencies alphabetically
  * remove section numbering from README.Debian
  * add note about the lintian override

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Aug 2009 12:46:46 +0200

ffmpeg-debian (4:0.5+svn20090609-1) unstable; urgency=low

  [ Andres Mejia ]
  * Add myself to Uploaders list.
  * Reorder when dh_strip is done so qt-faststart is also
    stripped.
  * Update to control files.
  * Add new confflags for new build dependencies.
  * Use <package>.docs files to add ffmpeg and ffmpeg-doc documentation.
  * Use <package>.docs files for installing documentation.
  * Add comment to 900_doxyfile patch.
  * Add man page for qt-faststart.
  * Bump version in changelog to prepare new release
  * Fix FTBFS for ffmpeg source package with -dev packages (Closes: #527761)
  * Use dh_lintian to install lintian overrides
  * Update comment on fpic-* patches
  * Build-Depend on debhelper (>= 6.0.7~) for dh_lintian.
  * Add lintian overrides for remaining fpic lintian errors.
  * Shorten comment on lintian-overrides.
  * Allow passing in extra confflags, removes the need for fix-fpic
    DEB_BUILD_OPTIONS.
  * Fix FTBFS on kfreebsd. (Closes: #528591)
  * Include patches to allow us to use opencore-amr libraries.

  [ Reinhard Tartler ]
  * remove debian/control.* mechanism
  * improve patch description for debian/patches/100_kfreebsd

  [ Andres Mejia ]
  * Add lintian overrides for ffmpeg-debian source warnings.
  * Only use .svnrevision if it's readable.
  * Update source lintian-overrides for modifications to debian/rules.
  * Add fix for FTBFS for GNU Hurd OS. Thanks Marc Dequènes.
    (Closes: #530436)

  [ Felipe Sateler ]
  * Don't add -unstripped to the unstripped variant version number
    in debian/README.upstream-upgrade.
  * In the same file, pass explicit version to git-import-orig

  [ Fabian Greffrath ]
  * Cleaned up debian/watch file.
  * Add notes why we no longer strip the orig.tar.gz.

  [ Andres Mejia ]
  * Fix watch file to ignore daily snapshots.
  * Make get-orig-source.sh executable.

  [ Reinhard Tartler ]
  * add patch for qtrle encoding (Closes: #530016)
  * Enable xvmc support by adding libxvmc-dev to build dependencies
  * really add libopenjpeg-dev to build depends, actually enabling
    the openjpeg decoder.
  * reorganise README.Debian for the new plan [tm]
  * no longer strip the source on upstream upgrades
  * Imported Upstream version 0.5+svn20090609
  * adjust notes in README.upstream-upgrade for the now unstripped
    debian source package
  * remove hack to build with stripped sources
  * bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 Jul 2009 22:52:43 +0200

ffmpeg-debian (4:0.5+svn20090420-2) unstable; urgency=low

  * debian/control: fix dependencies for libavutil-dev and libavfilter-dev
    so that they can be used with the unstripped variants properly.
  * debian/rules: set nooptflags only for relevant architectures.
  * explicitly disable 'dangerous' encoders on the --configure line.
  * fix SHLIBS_VERSION in debian/rules (Closes: #527350).

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 04 May 2009 07:41:19 +0200

ffmpeg-debian (4:0.5+svn20090420-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Merge the contents of patents.txt into README.Debian and change some
    paragraphs to (hopefully) add some more clarity on the removed encoders
    and the package naming scheme. Based on suggestions by Xavier Douville
    <debian@douville.org>, thank you very much for the review. (Closes: #519025)
  * Reorder some confflags to account for GPL licensed libraries.
  * Remove patents.txt
  * Explicitely mention that no decoders are disabled in our packages.

  [ Loïc Minier ]
  * Disable more autodetecter ARM arch features
  * Add neon and vfp flavors to armel disabled for now
  * vfp CFLAGS: add "-mfpu=vfp -mfloat-abi=softfp"

  [ Reinhard Tartler ]
  * New Upstream Version (svn revision 18630)
  * bump epoch as 0.5 was released. Future version will use '+' to indicate
    that the package is based on a release branch and '~' to indicate that
    the package is based on the 'trunk' branch.
  * update from the upstream release branch to generate a new upstream
    tarball.
  * add a git-buildpackage config file at debian/gbp.conf
  * beautify identification string
  * debian/rules: bump epoch to '4'
  * update section names in control file
  * update upstream svn server url
  * fixup get-orig-source rules in debian/rules
  * create right filenames for the orig.tar.gz files
  * update README.upstream-upgrate for new versioning scheme
  * remove debian/005_release_branch_changes.diff
  * remove reference to 020_visibility_patch
  * install the upstream license file and release notes
  * allow -dev packages be installed with the unstripped variants
    Closes: #526007, LP: #312898
  * be more careful with svn:externals in debian/get-orig-source.sh.
    (Closes: #525348)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 May 2009 09:09:54 +0200

ffmpeg-debian (3:0.svn20090303-1) unstable; urgency=low

  * New Upstream Version (svn revision 17737 libswscale revision 28799)
    - Electronic Arts TQI decoder
    - OpenJPEG based JPEG 2000 decoder
    - NC (NC4600) camera file demuxer
    - Gopher client support
    - MXF D-10 muxer
    - generic metadata API
  * debian/get-orig-source.sh: Track the version 0.5 release branch. The
    version number does not really reflect this, but this package is
    actually very close to the 0.5 release branch.
  * various cleanups to improve get-orig-source.sh
  * Remove liba52 from the suggests field in debian/control.ffmpeg, as
    ffmpeg does no longer use it since upload 0.svn20080206-10.
  * Fix the Vcs-Git urls to the correct locations.
  * The libavformat52 now links against libavcodec52, which breaks
    applications that *ALSO* link against libavcodec51. Adding a
    Breaks: libavcodec51 should prevent this and (hopefully) Closes: #516885.
  * improve parallel builds on SMP/multicores by supporting the parallel
    flag in DEB_BUILD_OPTIONS, and default to the number of available CPUs
    on i386 and amd64.
  * Drop unapplied patches from debian/patches.
  * bump shlibs version.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 03 Mar 2009 21:01:25 +0100

ffmpeg-debian (3:0.svn20090204-3) unstable; urgency=low

  [ Fabian Greffrath ]
  * remove libasound2-dev from build-depends on non-Linux archs

  [ Reinhard Tartler ]
  * fix postinst generation by calling dh_installdeb after dh_makeshlibs
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Feb 2009 09:32:49 +0100

ffmpeg-debian (3:0.svn20090204-2) experimental; urgency=low

  * add libxvmc-dev to build-depends in the 'ffmpeg' variant
  * add libasound2-dev to build-depends. This means that ffplay is now able to
    actually play using alsa directly instead only via libsdl
  * add epochs for the "internal" shlibs dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Feb 2009 20:30:05 +0100

ffmpeg-debian (3:0.svn20090204-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * New Upstream Version (svn revision 16978 libswscale revision 28461)

  Upstream Changes:
    - R3D REDCODE demuxer
    - ALSA support for playback and record

  * strighten internal dependencies by using a shlibs.local file
    Closes: #512844, #512466
  * New upstream version reintroduces a compatibility symbol ff_gcd
    Closes: #512946
  * Bump shlibs because of changes of the Metadata API in libavformat.
    Actually no other package should use them yet, but let's better play safe
    here...
  * no longer install dsputil.h. It exposes lots of function that are private
    to ffmpeg and may change on any new upstream revision. Please get in touch
    with the ffmpeg maintainers if you maintain packages that rely on that
    ffmpeg internal headers like this.
  * simplify debian/confflags by doing autodetection of headers:
     - xvid.h
     - lame/lame.h
     - faac.h
     - x264.h
     - vdpau/vdpau.h
    Also remove the setting externalcodecs from DEB_BUILD_OPTIONS. The codecs
    will be enabled as soon as the headers are installed on the filesystem,
    so there is no need in enabling that separately.
  * install ffpresets in /usr/share/ffmpeg/. Currently only presets for
    x264 are avaiable, so a libx264 enabled libavcodec (like
    libavcodec-unstripped-52) is needed to actually use them.

  [ Fabian Greffrath ]
  * Enabled Speex decoding via libspeex.
  * Use an alternative approach to achieve strict internal dependencies
    by calling dh_makeshlibs twice in debian/rules instead of a
    debian/shlibs.local file.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Feb 2009 19:54:27 +0100

ffmpeg-debian (3:0.svn20090119-1) experimental; urgency=low

  * New Upstream Version (svn revision 16681 libswscale revision 28341)
  * update Vcs-Git tags. Packaging has now moved to git
  * updates to packaging that faciliate building the unstripped and ubuntu
    variants of this package
  * enable xvmc support

  Upstream Changes:
   - SVQ3 watermark decoding support
   - hybrid WavPack support

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 20 Jan 2009 00:55:26 +0100

ffmpeg-debian (3:0.svn20090110-1) experimental; urgency=low

  * new upstream svn snapshot (svn revision 16508, libswscale revision 28286)

  Upstream Changes:
   - RV30 and RV40 decoder
   - QCELP / PureVoice decoder

  * removed patch 050_fix_pkgconfig_files.patch. Merged upstream
  * disabled patch 020_visibility_patch. It needs to be adapted to the new
    upstream changes. Hopefully it will get merged into ffmpeg properly.
  * install formats.txt in the libavcodec52 package to document what
    formats this version of ffmpeg has enabled.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 Jan 2009 20:55:48 +0100

ffmpeg-debian (3:0.svn20081115-1) experimental; urgency=low

  * new upstream svn snapshot (svn revision 15824, libswscale revision 27910)
  * bump standards version to version 3.8.0, no changes needed
  * Adjust pkg-files to no longer put unnecessary dependencies in the generated
    .pc files. Closes: #504220

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Nov 2008 21:37:16 +0100

ffmpeg-debian (3:0.svn20081108-1) experimental; urgency=low

  * upstream svn snapshot (svn revision 15786, libswscale revision 27900).
  * apply visibility patch from ffmpeg-devel mailing list. This reduces the
    number of symbols that are exposed to other applications. Please file
    bugs if applications fail to link against ffmpeg because of that.
  * remove 001_fixup_version.diff patch and use upstream --extra-version
    configure flag instead.
  * now really remove 015_img_convert.patch from source package.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 08 Nov 2008 16:38:23 +0100

ffmpeg-debian (3:0.svn20080925-1) experimental; urgency=low

  [ Loic Minier ]
  * Tweak sed versions regexps to deal with epochs and upstream revisions with
    dashes and be generally stricter.
  * Large cleanup to rules logic: drop some cruft, rewrite some small chunks
    in a slightly more readable manner, whitespaces, .PHONY fixes,
    internalencoders handling, shlibs logic...
  * Rename SRC_VERSION to UPSTREAM_VERSION in rules.
  * Use DEB_SOURCE from the Source: field of dpkg-parsechangelog's output
    instead of hardcoding the name of the source.

  [ Reinhard Tartler ]
  * new svn snapshot (svn revision 15404, libswscale revision 27636).
  * SONAME change: libavcodec51 -> libavcodec52
  * drop old scaler (imgres/imgconvert). Upstream is about to remove it
    completely.
    - reporter claims that a newer snapshot fixes a crash in the dca decoder.
      Thanks to "Alexander E. Patrakov" <patrakov@gmail.com> (Closes: #496612)
  * reenable h261 encoder (Closes: #459073)

  [ Fabian Greffrath ]
  * debian/{ffmpeg,lib*-dev}.install:
    + Simplified, e.g. install the whole /usr/include/ sub-directory for each
      particular library instead of single header files one by one.
  * debian/control, debian/confflags:
    + Enabled Dirac support via libschroedinger. (Closes: #499785)
  * debian/changelog:
    + Added an epoch needed for Ubuntu.
  * debian/control:
    + Removed Conflicts and Replaces against packages that either aren't even
      in Debian 4.0 "Etch" anymore or that use the deprecated naming scheme
      from <http://www.debian-multimedia.org>.
    + Since ffmpeg-config has been removed from our packages, all inter-package
      Conflicts and Replaces may be removed, too.
    + Removed Build-Conflicts against libdc1394-13-dev, because
      libdc1394-22-dev already does this for us.
    + Updated inter-package dependencies and demoted Depends on external
      library packages to Suggests, since we shouldn't encourage package
      maintainers to link statically against libav*.
  * debian/confflags, debian/control, debian/rules, debian/libavfilter*:
    + Built libavfilter and disabled vhook in turn (Closes: #499787).

  [ Loic Minier ]
  * Remove debug echo which broke shlibs, sorry.
  * Fix Vcs-* control fields; thanks Gerfried Fuchs.
  * Mention upstream SVN in debian/copyright; thanks Gerfried Fuchs;
    closes: #499914.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Sep 2008 20:07:01 +0200

ffmpeg-debian (0.svn20080206-12) unstable; urgency=low

  * enable vhook in all flavors. (Closes: #490272, LP: #260296)
  * make ffmpeg output a proper version number. (Closes: #496133, #483923)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Aug 2008 10:49:10 +0200

ffmpeg-debian (0.svn20080206-11) unstable; urgency=low

  [ Reinhard Tartler ]
  * new patch: patches/010_fix_ftbfs_hppa.diff: On hppa shared objects
    do required object files to be build "-fPIC -DPIC". Patch taken
    from upstream svn.
  * bugfix: libraries linked with libX11 on GNU/kFreeBSD. Thanks to
    Aurelien Jarno for the patch. (Closes: #487252)

  [ Fabian Greffrath ]
  * debian/confflags, debian/control:
    + Build-Depend on libdc1394-22-dev explicitely and add
      Build-Conflicts on libdc1394-13-dev (Closes: #490319).

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 16 Jul 2008 10:41:49 +0200

ffmpeg-debian (0.svn20080206-10) unstable; urgency=high

  * enable mmx and sse3 in builds. These CPU features are autodetected
    at runtime on amd64 and i386 using the 'cpuid' instrcution.
    (Closes: #489732)
  * disable support for liba52-dev. ffmpeg has its own implementation.
  * don't add -fPIC -DPIC forcefully to ./configure. upstream claim that
    the configure script gets this right on all architectures itself.
  * Add patch 020_bug489965_bufferoverflow_str_demuxer.diff. Fixes a
    buffer overflow in the STR demuxer. Thanks to Moritz Muehlenhoff for
    reporting the issue. (Closes: #489965)
  * Raising severity to high because of security issue.
  * rework the shlibs file. Make applications linking against libraries
    produced by this source package generate an alternate dependency on
    the 'unstripped' variants of this package. They actually do not exist
    yet at this point, but this way reverse dependencies are enabled to
    use them when they eventually appear.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 09 Jul 2008 14:04:06 +0200

ffmpeg-debian (0.svn20080206-9) unstable; urgency=low

  [ Reinhard Tartler ]
  * cleanup 010_proper_rpath.diff: remove spurious linker search paths.
  * debian/strip.sh: no need to remove the glue code for x264 and xvid.
    However, since that code is not built in debian anyway, the orig.tar.gz
    was not rebuilt with this change.
  * provide mmx-enabled shared objects on amd64. AFAIK all amd64 machines
    do support MMX.
  * Provide optimized versions of the libraries along the unoptimized
    ones. They are installed in machines and architecture specific
    directories. Optimized for further target will be added per request,
    please file bugs to request them.
  * rename the source package (again), this time on upstream's request.
    The former name was considered insulting by upstream, because it
    somewhat indicated the original source was somehow 'non-free', which is
    not the case. The new name now represents that we modified the package
    so that it becomes acceptable for debian.
  * Cleanups in debian/rules file.
  * Add verbose explanations about the renaming in README.Debian.

  [ Fabian Greffrath ]
  * debian/control:
    + Added Conflicts and Replaces against obsolete library packages from
      <http://debian-multimedia.org/> wearing the 'cvs' suffix in their names
      (Closes: #484585, #484586, #484587, #484776, #484778).
    + Added doxygen to Build-Depends.
    + Introduced new package 'ffmpeg-doc' that contains html doxygen
      documentation of the ffmpeg API (Closes: #438369).
    + Changed Build-Depends from libdc1394-13-dev to libdc1394-22-dev,
      which is supported upstream since r11501.
  * debian/ffmpeg-doc.install:
    + Added.
  * debian/rules:
    + Build and install html doxygen documentation.
    + Avoid dependency of build-stamp rule on phony targets.
  * debian/libavutil-dev.install, debian/rules,
    debian/patches/010_ffmpeg-config.diff:
    + Removed ffmpeg-config, use pkg-config instead (maintainers of affected
      packages have been informed, see #487917 to #487922).

  [ Darren Salt ]
  * Added patch 900_doxyfile: tell doxyfile to ignore debian* directories.
  * debian/rules:
    - Reworked building so that separate source & build directories are
      used. This makes cleanup simpler and speeds up maintenance by avoiding
      complete rebuilds when using "debuild binary".
    - Removed some file installation 'cp' commands, made unnecessary due to
      the build reworking.
    - Unpatching is now done *after* cleaning.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 30 Jun 2008 15:27:50 +0200

ffmpeg-free (0.svn20080206-8) unstable; urgency=low

  [ Fabian Greffrath ]

  * debian/control:
    + Added Conflicts and Replaces on libavutil-dev (<< 0.svn20080206-7)
      to libavcodec-dev (Closes: #483548).

  [ Reinhard Tartler ]

  * remove patches from the debian package as disussed with upstream:
    - 005_runtime_cpudetect.diff: it is supposed to fix runtime cpu detection
      on i386. The code (and the define) has undergone large refactoring wrt.
      the define RUNTIME_CPUDETECT. It is very likely to have undisired
      side-effects with this version of ffmpeg. It therefore seem more safe
      to me to actually remove this patch for now, and reinvestigate the
      problems that occur, if they do.  (Related to: #482717)
    - 005_m68k_workaround.diff: works around bugs in gcc for m68k.
    - 006_mips_pthreads.diff: was an workaround for (now fixed) #428741.
    - 020_fix_sws_scale_crash: patch has been rejected upstream:
      http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/2008-May/047846.html
    - 054_h264_mmx_chroma_mc_crash.diff. According to upstream, this has
      been fixed in a different way and is not reproducible. Verified that
      the file referenced in bug #404176 does not crash anymore even
      without this patch.
  * new patch: 015_reenable-img_convert.diff.  Unlike previous version of this
    patch, this uses a more lightweight approach. With building imgresample, a
    few symbol clashes occur with libswscale. We therefore strip off symbols
    that are already provided by libswscale. (Closes: #483960).
  * remove 011_link_plugins.diff. It is completely unnecessary now.
  * refactor quilt usage: use /usr/share/quilt/quilt.make.
  * support building in paralell. make snippet taken from the qemu package.
  * cleanups in debian/rules.
  * Move ffmpeg-config back to libavutil. This way we can avoid a circular
    dependency between libavutil-dev and libavcodec-dev. (Closes: #484132).
    libavcodec uses libavutil internally, so this dependency cannot be avoided.
  * disable altivec, at least for now. (Closes: #482717)
  * always compile with --disable-strip. We strip the binaries afterwards using
    dh_strip anyways.
  * Remove depdency substitutions ${shlibs:Depends} and ${misc:Depends} from the
    -dev packages.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Jun 2008 00:04:08 +0200

ffmpeg-free (0.svn20080206-7) unstable; urgency=low

  * debian/control:
    + Removed unnecessary Conflicts and Replaces from libswscale0
      (Closes: #481908), thanks Guillem Jover.
    + Made libavutil-dev depend on libavcodec-dev.
  * debian/libavcodec.install, debian/libavutil.install:
    + Moved ffmpeg-config (script and manpage) from libavutil-dev to
      libavcodec-dev (really Closes: #482213, #482214).

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Tue, 28 May 2008 16:02:03 +0200

ffmpeg-free (0.svn20080206-6) unstable; urgency=low

  * Bug fix: "libavg: FTBFS: ld: cannot find -ldts", thanks to Lucas
    Nussbaum (Closes: #482213, 482214). Fixed by removing -ldts from
    ffmpeg-config.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 27 May 2008 12:45:10 +0200

ffmpeg-free (0.svn20080206-5) unstable; urgency=low

  [ Fabian Greffrath ]
  * debian/control:
    + Fixed dependency typo, libswscale0 conflicts with libswsacle1d but not
      libswscale1d (Closes: #481908).

  [ Reinhard Tartler ]
  * disable 015_build_imgresample.diff. Please port all applications
    needing the symbols sws_{scale,getContext},
    sws_{getCachedContext,freeContext} to use libswscale instead.
  * downgrade debhelper depencency to level 5. We don't use any of the
    level 6 features, and level 5 faciliates backporting to earlier
    releases massively.
  * remove unapplied patches from source to reduce the size of the
    .diff.gz. The old patches can be retrieved from branches in our svn.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 22 May 2008 09:26:06 +0200

ffmpeg-free (0.svn20080206-4) unstable; urgency=low

  * debian/rules:
    + Moved confflags, that result in GPL versions of the libraries, into a
      dedicated variable gpl_confflags. Add this to the common confflags.
    + Moved --prefix=/usr to the common confflags.
    + Added some comments and whitespace (nothing special).
    + Renamed the "risky" keyword to "internalencoders". Set this in
      DEB_BUILD_OPTIONS in order to create and build from an unstripped tarball
      in the get-orig-source and build rules (Closes: #478010).
    + Introduced the "externalcodecs" keyword. Set this in DEB_BUILD_OPTIONS to
      enable support for additional codecs via external libraries.
    + Commented out the amr?b codecs among the external codecs, because the
      resulting packages will be unredistributable.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Tue, 29 Apr 2008 09:07:11 +0100

ffmpeg-free (0.svn20080206-3) experimental; urgency=low

  * install qt-faststart. Thanks Stefan Hermann for the patch from ubuntu.
    (Closes: #470484)
  * Reenable 020_fix_libswscale_pic_code, fixes FTBFS on amd64.
  * Reenable altivec, fixes FTBFS on powerpc.
  * Add some notes about the removed mpeg encoders (Closes: #440702)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Apr 2008 23:02:24 +0200

ffmpeg-free (0.svn20080206-2) experimental; urgency=low

  [ Reinhard Tartler ]
  * patches/020_fix_sws_scale_crash: if sws_scale is given an invalid context
    (e.g. a null pointer), the function will crash because of a null pointer
    dereference. Add a check for that here.
  * add Conflicts/Replaces for libswscale1d.
  * Due to the fact that we no longer build the shared version of ffmpeg with
    mmx optimisations, the following patches have been dropped:
      - 020_mmx_optims.diff
      - 020_mmx_pic_code.diff
      - 020_disable_snow_mmx_in_pic.diff
      - 020_fix_libswscale_pic_code

  [ Fabian Greffrath ]
  * debian/control:
    + Added libx11-dev and libxext-dev to Build-Depends.
  * debian/rules:
    + Build with --enable-x11grab (Closes: #441983).
    + Build ffmpeg and shared libraries with --extra-cflags="-fPIC -DPIC"
      (feeling confident that this closes: #472613) and "drop the surgery
      regarding Makefile.pic and config.mak.pic".
    + In this context, cleaned up build rule: Run '$(MAKE)' and '$(MAKE) clean'
      from the top source directory instead of diving into the library
      directories; force move during backup and recovery of the static
      libraries; let the build rule itself depend on config-extra-includes.h
      (instead of build-stamp) to avoid being run again from the binary rule;
      some more minor changes of cosmetic type.
    + Renamed config-extra-includes rule to config-extra-includes.h to
      reflect the file name of the created file (also changed to override it
      instead of appending) and to avoid the rule to be run twice.
    + Disabled all architecture-specific optimizations for the time being.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Fri, 1 Apr 2008 17:22:00 +0100

ffmpeg-free (0.svn20080206-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * new upstream release (Closes: #471136)
  * refreshed patches
  * libogg was dropped upstream
  * no longer install integer.h, as it is not part of the public API (see
    upstream r11642).
  * no longer install rtp.h, as it is not part of the public API (see
    upstream r11505).
  * install crc.h and sha1.h to libavutil-dev, since it is part of the
    public API now.
  * introduce new package: libavdevice52 and libavdevice-dev.
  * Implemented debian/get-orig-source.sh and adjusted the get-orig-source
    target in debian/rules to use that.
  * fix invocation of the testsuite.
  * bump standards version to 3.7.3 (no changes needed).
  * add script recordshow.sh (Closes: 461434). Thanks to
    Daniel Dickinson <cshore@wightman.ca>
  * Introdcue binary package ffmpeg-dbg, which contains debugging symbols
    of the shared library packages.

  [ Fabian Greffrath ]
  * debian/changelog:
    + Source is exported from SVN, not CVS. Reflect this in the versioning
      scheme (Closes: #468319).
  * debian/control:
    + Changed Build-Depends to liba52-0.7.4-dev | liba52-dev.
    + Improved descriptions and dependencies for libavdevice packages.
  * debian/control, debian/compat:
    + Bumped debhelper Build-Depends to (>= 6.0.0).
  * debian/control, debian/*.install:
    + Adopted shared library package names to upstream SONAMEs.
  * debian/README.Debian:
    + Updated, since AAC decoding (through FAAD) is now enabled.
    + Updated URL for unofficial ffmpeg packages.
  * debian/rules:
    + Reordered confflags to optionally build LGPL versions of the libraries.
    + Removed trailing whitespace.
    + Removed unused strip rule.
    + Added libxvidcore4-dev to weak-build-deps and fixed confflags
      in DEB_BUILD_OPTIONS=risky accordingly.
    + Added a get-orig-source rule to reproduce the source tarball. Produce an
      unstripped tarball if DEB_BUILD_OPTIONS=risky.
    + Do not run debian/fixup-config.sh if DEB_BUILD_OPTIONS=risky.
  * debian/patches/011_link_plugins.diff:
    + Updated to link all plugins against libavutil since they all use symbols
      from this library. Resolves "symbols found in none of the libraries"
      warnings from dpkg-shlibdeps.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 20 Mar 2008 17:57:21 +0100

ffmpeg-free (0.cvs20071007-4) experimental; urgency=low

  [ Fabian Greffrath ]
  * debian/control:
    + Wrapped Uploaders, Build-Depends and Depends,
      Conflicts and Replaces fields.
    + Added libfaad-dev to Build-Depends.
    + Added Homepage field.
    + Added ${misc:Depends} to all Depends.
  * debian/rules:
    + Enabled faad support via libfaad
      (Closes: #400094, #418230, #447089, #448068, #449387).
    + Added libmp3lame-dev to weak-build-deps in DEB_BUILD_OPTIONS=risky.
    + Added support for amrnb, amrwb and x264 (Closes: #432170) in
      DEB_BUILD_OPTIONS=risky.

  [ Reinhard Tartler ]
  * added Fabian Greffrath to Uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 20 Mar 2008 15:55:11 +0100

ffmpeg-free (0.cvs20071007-3) experimental; urgency=low

  * disable armv6 code generation. Thanks to Joey Hess for the patch
    (Closes: #438923).

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Jan 2008 23:28:25 +0100

ffmpeg-free (0.cvs20071007-2) experimental; urgency=low

  * restore soname on libavutil. got dropped on previous upload.
  * Bug fix: "needs libavutil-dev headers but doesn't depend on it",
    thanks to rmh@aybabtu.com (Closes: #434494). This was actually already
    fixed in a previous upload.
  * build dependencies in debian/control are now multiline.
  * Drop the XS- from the Vcs-Browser and Vcs-Svn field.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Dec 2007 21:36:49 +0100

ffmpeg-free (0.cvs20071007-1) experimental; urgency=low

  * new upstream snapshot, using the same day as the mplayer release
  * Refreshing patches:
    -005_altivec_flags.diff: dropped, merged upstream
    -005_m68k_workaround.diff: refreshed
    -005_runtime_cpudetect.diff: refreshed
    -006_mips_pthreads.diff: refreshed
    -010_proper_rpath.diff: refreshed
    -010_shared_library_versioning.diff: refreshed
    -011_link_plugins.diff: refreshed (moved to top level makefile)
    -015_build_imgresample.diff: refreshed
    -020_disable_snow_mmx_in_pic.diff: refreshed
    -020_fix_libswscale_pic_code.diff: refreshed
    -020_mmx_optims.diff: refreshed
    -020_mmx_pic_code.diff: refreshed
    -040_early_altivec_detection.diff: disabled, doesn't apply anymore
    -040_only_use_maltivec_when_needed.diff disabled, (causes ftbfs, needs revising)
    -040_only_use_maltivec_when_needed.diff: refresh
    -051_mjpeg_gray_support.diff, removed applied upstream
    -053_rm_demux_crash.diff removed, applied upstream.
    -060_fix_avi_skip.diff removed, does not apply anymore
  * remove --enable-libdts. ffmpeg now has an internal dts decoder since
    r9051 (2007-05-17). It seems that at least some packages link to libdts and
    rely on the transitive dependency via ffmpeg. Please add explicit dependencies
    on libdts instead!
  * Don't ignore errors in upstream Makefile. Bug found via lintian.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 05 Dec 2007 17:33:34 +0100

ffmpeg-free (0.cvs20070307-7) UNRELEASED; urgency=low

  * debian/patches/051_mjpeg_gray_support.diff:
    + Support grayscale MJPEG streams as sent by Axis cameras.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 31 Jul 2007 18:55:31 +0200

ffmpeg-free (0.cvs20070307-6) unstable; urgency=low

  * Rename the source package. We are (again) no longer shipping the
    'real' upstream source of ffmpeg.
  * Add debian/strip.sh to strip ffmpeg upstream source disabling mpeg
    based encoders as discussed with ftp-master at debconf7
  * update XS-Vcs tags in debian/control.
  * make ffmpeg binNMU-able by using ${binary:Version} rather than
    ${Source-Version}

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Jun 2007 15:11:21 +0100

ffmpeg (0.cvs20070307-5) unstable; urgency=low

  * upload to unstable
  * remove x264 support, as it has been removed from unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 30 May 2007 15:19:20 +0200

ffmpeg (0.cvs20070307-4) experimental; urgency=low

  * added myself to uploaders

  * 020_fix_libswscale_pic_code:
    + added, avoid some MMX code to avoid PIC code

  [ Sam Hocevar ]

  * fixed path in library installation.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 11 Apr 2007 23:17:47 +0200

ffmpeg (0.cvs20070307-3) experimental; urgency=low

  * debian/patches/015_build_imgresample.diff:
    + Build imgresample functions even with swscaler activated, or legacy
      applications will stop working.

  * debian/patches/053_rm_demux_crash.diff:
    + New patch: fix a double free with corrupted rm files (Closes: #379922).

  * debian/patches/054_h264_mmx_chroma_mc_crash.diff:
    + New patch: workaround for a buffer overflow in the MMX H264 chroma
      motion compensation until upstream fixes it properly (Closes: #404176).

  * debian/patches/300_c++_compliant_headers.diff:
    + Define INT64_C() when the system headers don't provide it, for instance
      when building C++ code.

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer.
    + Updated VCS fields.
  * debian/rules:
    + Huge cleanup.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 14 Mar 2007 19:40:42 +0100

ffmpeg (0.cvs20070307-2) experimental; urgency=low

  * debian/rules:
    + Activate x264 support now that it is in unstable.
  * debian/control:
    + Build-depend on libx264-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 12 Mar 2007 21:10:45 +0100

ffmpeg (0.cvs20070307-1) experimental; urgency=low

  [ Sam Hocevar ]

  * New upstream snapshot (Closes: #403330, #404788).
  * This snapshot fixes numerous file parsing crashes (Closes: #404176,
    Closes: #407003, #396282, #365006, #403398).

  * debian/patches/010_proper_rpath.diff:
    + New patch. Link objects with the libraries that we generate, not the
      ones installed on the system.

  * debian/patches/010_shared_library_versioning.diff:
    + Strip unneeded prefix from .pc files (Closes: #404758).

  * debian/patches/011_link_plugins.diff:
    + New patch. Link vhook plugins with the appropriate libraries.

  * debian/patches/013_strip_unneeded_linker_flags.diff:
    + Remove unneeded -l flags from .pc files (Closes: #373986).

  * debian/patches/020_mmx_optims.diff:
  * debian/patches/020_disable_snow_mmx_in_pic.diff:
    + Sync patches.

  * debian/patches/020_really_use_liba52.diff:
  * debian/patches/050_h264-misc-security-fixes.diff:
  * debian/patches/051_asf-misc-security-fixes.diff:
    + Drop patches, applied upstream or no longer relevant.

  * debian/patches/040_only_use_maltivec_when_needed.diff:
    + Upgraded patch to cover libswscale.

  * debian/libavcodec-dev.install:
    + Ship lzo.h and random.h.

  * debian/rules:
    + Fix syntax for a few --enable flags.
    + Only ship ffmpeg_powerpc_performance_evaluation_howto.txt.gz on
      powerpc machines (Closes: #385079).
    + Readded --enable-libtheora, it's here again.
    + Activate --enable-swscaler (Closes: #399141, #398442).

  [ Reinhard Tartler ]

  * debian/rules:
    + Ignore libswscale.pc and rgb2rgb.h.

  * debian/libavcodec-dev.install:
    + Ship fifo.h and opt.h.

  * debian/patches/005_altivec_flags.diff:
  * debian/patches/005_m68k_workaround.diff:
  * debian/patches/005_runtime_cpudetect.diff:
  * debian/patches/006_mips_pthreads.diff:
  * debian/patches/020_really_use_liba52.diff:
    + Sync patches.

  * debian/patches/007_disable_ffmpeg_option.diff:
  * debian/patches/030_arm_cpu_detect.diff:
  * debian/patches/030_arm_workaround.diff:
    + Drop patches, applied upstream or no longer relevant.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  9 Mar 2007 15:13:16 +0100

ffmpeg (0.cvs20060823-7) unstable; urgency=high

  * debian/patches/040_only_use_maltivec_when_needed.diff:
    + Fix a static function prototype that prevented programs using libpostproc
      from working on PowerPC (Closes: #412214).

  * debian/control:
    + Added Xs-Vcs-Browser and XS-Vcs-Svn fields.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  8 Mar 2007 17:51:37 +0100

ffmpeg (0.cvs20060823-6) unstable; urgency=high

  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Thu,  1 Feb 2007 21:36:47 +0100

ffmpeg (0.cvs20060823-5) testing-proposed-updates; urgency=high

  [ Loïc Minier ]
  * Add myself to Uploaders.
  * Exclude firewire libs from ffmpeg-config under kFreeBSD; based on a patch
    by Petr Salinger; closes: #399701.
  * Fix handling of debug in DEB_BUILD_OPTIONS; thanks Andreas Henriksson;
    closes: #406474.
  * SECURITY: New patch, 050_h264-misc-security-fixes, to properly check the
    sps and pps ids before use and to check more bitstram values and fix
    potential security holes; from upstream SVN r7585, r7586, and r7591.
  * SECURITY: New patch, 051_asf-misc-security-fixes, to properly check
    packet sizes, chunk sizes, and fragment positions; from upstream SVN r7640
    and r7650.

  [ Sam Hocevar ]
  * debian/copyright:
    + Fix typo and clarify licensing terms (Closes: #398235).
  * debian/README.Debian:
    + Removed mention of ffmpeg-config now that we ship .pc files.
  * debian/patches/020_mmx_optims.diff:
    + New patch, fix FTBFS with DEB_BUILD_OPTIONS=debug.
  * debian/patches/040_early_altivec_detection.diff:
    + New patch, detect AltiVec earlier on and only once so that we don't
      risk using signal handlers in a multithreaded environment or when
      the caller already installed a SIGILL handler.
  * debian/patches/040_only_use_maltivec_when_needed.diff:
    + New patch, only use -maltivec with files that use AltiVec intrinsics,
      and make sure no codepath leads to these files on a non-AltiVec
      machine (Closes: #405926).
  * debian/patches/060_fix_avi_skip.diff:
    + New patch, courtesy of Ben Hutchings: do not attempt to skip the ODML
      if the current seek offset is already beyond it (Closes: #383734).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 29 Jan 2007 16:58:44 +0100

ffmpeg (0.cvs20060823-4) unstable; urgency=high

  * Maintainer upload.
  * Acknowledging NMU (Closes: #386458).

  * High urgency because of FTBFS fix.

  * debian/patches/030_arm_workaround.diff:
    + New patch courtesy of Aurélien Jarno: disable the broken ARM assembly
      code in libavcodec/mpegaudiodec.c.

  * debian/patches/030_arm_cpu_detect.diff:
    + New patch courtesy of Aurélien Jarno: correctly detect the newer ARM
      CPUs.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 24 Sep 2006 23:38:29 +0200

ffmpeg (0.cvs20060823-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix variable substitution trick in debian/rules (Closes: #386458).

 -- Luk Claes <luk@debian.org>  Fri, 15 Sep 2006 21:29:07 +0200

ffmpeg (0.cvs20060823-3) unstable; urgency=low

  * debian/rules:
    + Take local packages into account when computing shlibs dependencies, so
      that ffplay/ffserver depend on the proper libraries (Closes: #386029).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  5 Sep 2006 17:44:00 +0200

ffmpeg (0.cvs20060823-2) unstable; urgency=low

  * debian/patches/020_really_use_liba52.diff:
    + New patch: link with the shared liba52 instead of the built-in one.

  * debian/patches/006_mips_pthreads.diff:
    + New patch: link libraries with -lpthreads on Linux MIPS because of a
      known ld bug.

  * debian/patches/007_disable_ffmpeg_option.diff:
    + New patch: add a --disable-ffmpeg option.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 30 Aug 2006 18:36:52 +0200

ffmpeg (0.cvs20060823-1) unstable; urgency=low

  * New SVN snapshot (Closes: #368904).
  * debian/control:
    + Set policy to 3.7.2.
    + Do not build 1394 support on GNU/kFreeBSD or Hurd. Patch courtesy of
      Petr Salinger (Closes: #372290).
  * debian/rules:
    + Minor cleanup.
    + Removed --enable-theora, upstream dropped that option.

  * debian/patches/020_mmx_intrinsics.diff:
    + Disabled intrinsics workaround because it is no longer necessary and it
      causes trouble with some codecs such as H264 (Closes: #373765).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 23 Aug 2006 12:09:58 +0200

ffmpeg (0.cvs20060329-4) unstable; urgency=low

  * debian/control:
    + Make each -dev package depend on the corresponding shared library
      package (Closes: #361348).
    + Moved libavutil files from libavformat-dev to libavcodec-dev which is
      the real common dependency (Closes: #361269).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  9 Apr 2006 15:23:37 +0200

ffmpeg (0.cvs20060329-3) unstable; urgency=low

  * debian/rules: that build system is hopeless. We now run configure and
    make twice, backup static libraries inbetween, then update timestamps
    to fool make. That should fix the FTBFS (Closes: #361215).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  7 Apr 2006 11:33:15 +0200

ffmpeg (0.cvs20060329-2) unstable; urgency=low

  * debian/rules: fixed Makefile.pic generation.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  6 Apr 2006 16:37:05 +0200

ffmpeg (0.cvs20060329-1) unstable; urgency=low

  * New CVS snapshot.
  * Upstream fixed a double free in img.c (Closes: #351455).
  * Upstream fixed the libvorbisenc dependency in libavcodec.pc
    (Closes: #357352).

  * debian/rules:
    + Activated threading support (Closes: #335677).
    + Manually reinstall dsputil.h.

  * debian/README.Debian:
    + Removed mention of --plugin-libs.
    + Added a note about the unofficial packages (Closes: #306752).

  * 020_disable_snow_mmx_in_pic.diff: (new patch) disable MMX acceleration in
    the Snow encoder in PIC mode.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 10:41:17 +0200

ffmpeg (0.cvs20060306-3) unstable; urgency=low

  * Switched patch system to quilt.
  * debian/control:
    + Build-depend on quilt.

  * 005_altivec_flags.diff: (new patch from old diff.gz) proper gcc flags to
    only generate AltiVec code when explicitely asked.

  * 005_m68k_workaround.diff: (new patch from old diff.gz) use -O2 instead of
    -O3 on m68k.

  * 005_runtime_cpudetect.diff: (new patch from old diff.gz) fix runtime CPU
    detection on m68k and x86.

  * 010_ffmpeg-config.diff: (new patch from old diff.gz) the ffmpeg-config
    script and associated manpage (legacy).

  * 010_shared_library_versioning.diff: (new patch from old diff.gz) use a
    Debian-specific scheme for shared library versioning to avoid spreading
    libraries incompatible with every other version.

  * 020_mmx_intrinsics.diff: (new patch from old diff.gz) use MMX intrinsics
    in dsputil_mmx.c because gcc is unable to compute some register constraints
    in PIC mode.

  * 020_mmx_pic_code.diff: (new patch from old diff.gz) ported some MMX code
    to be PIC.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 29 Mar 2006 18:53:35 +0200

ffmpeg (0.cvs20060306-2) unstable; urgency=low

  * ffmpeg-config.in: removed references to _pic libraries.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 17 Mar 2006 20:08:29 +0100

ffmpeg (0.cvs20060306-1) unstable; urgency=low

  * New CVS snapshot.
  * Upstream now properly installs dsputil.h (Closes: #354391).
  * debian/control:
    + Distribute shared versions of the libraries with a Debian-specific
      soname.
  * debian/rules:
    + Removed all custom PIC rules.
    + Moved ffmpeg-config to libavformat-dev instead of libavcodec-dev so that
      it is present by default (Closes: #350750).
    + Include apiexample.c in libavcodec-dev (Closes: #350027).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  6 Mar 2006 11:05:26 +0100

ffmpeg (0.cvs20050918-6) unstable; urgency=low

  * Developer upload.
  * Acknowledge NMU. Thanks to Samuel Mimram (Closes: #342207).
  * configure:
    + Set RUNTIME_CPUDETECT (except on m68k where it ICEs and on x86 where it
      fails to build some asm constructs) (Closes: #337846).
  * debian/rules:
    + Make the build process aware of DEB_BUILD_OPTIONS, thanks to Timo
      Lindfors (Closes: #338895).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 21 Jan 2006 16:51:26 +0100

ffmpeg (0.cvs20050918-5.1) unstable; urgency=low

  * NMU.
  * Fix exploitable heap overflow in libavcodec's handling of images with
    PIX_FMT_PAL8 pixel formats (CVE-2005-4048), closes: #342207.

 -- Samuel Mimram <smimram@debian.org>  Sun, 15 Jan 2006 14:44:36 +0100

ffmpeg (0.cvs20050918-5) unstable; urgency=low

  * ffmpeg-config.1: fixed the examples and added a note that static libraries
    should be put after the objects that refer to them (Closes: #339803).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 18 Nov 2005 23:58:16 +0100

ffmpeg (0.cvs20050918-4) unstable; urgency=low

  * configure:
    + Tell the configure script about m68k, ia64 and others.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 22 Sep 2005 14:43:59 +0200

ffmpeg (0.cvs20050918-3) unstable; urgency=low

  * configure:
    + Use -O2 instead of -O3 on m68k to avoid ICEs.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 17:33:14 +0200

ffmpeg (0.cvs20050918-2) unstable; urgency=low

  * libavcodec/i386/dsputil_mmx.c:
    + Reworked the MMX intrinsics.
  * tests/libav.regression.ref:
    + Minor cosmetic fix to use double-digit numbers in test sequences.
  * debian/control:
    + PowerPC no longer needs to use gcc-3.4, since 4.x is the default.
  * libavcodec/Makefile:
    + Removed special compilation case for HPPA now that we use 4.x.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 18 Sep 2005 17:43:48 +0200

ffmpeg (0.cvs20050918-1) unstable; urgency=low

  * New CVS snapshot.
  * Upstream applied most Debian patches.
  * configure:
    + Do not use -mabi=altivec (-maltivec is enough for our AltiVec code) so
      that our code still runs on a G3 computer (Closes: #319151).
  * debian/rules:
    + When not cross-compiling, run the regression tests (Closes: #292102).
  * debian/changelog:
    + Updated the FSF address.
  * ffmpeg-config.in:
    + Fixed avcodec linkage (Closes: #328505).
  * libavcodec/i386/mpegvideo_mmx_template.c:
    + Applied patch from Tobias Grimm to fix the PIC MMX code for MPEG
      encoding (Closes: #318493).
  * libavcodec/i386/dsputil_mmx.c:
    + Applied patch from Joshua Kwan to fix the AMD64 build (Closes: #324026).
    + Reworked that patch so that it still compiles on x86.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 16 Sep 2005 13:03:47 +0200

ffmpeg (0.cvs20050811-2) unstable; urgency=low

  * ffmpeg-config.in: added a missing -lgsm.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 22 Aug 2005 19:51:53 +0200

ffmpeg (0.cvs20050811-1) unstable; urgency=low

  * New CVS snapshot.
  * Upstream fixed an integer overflow in the MPEG encoder (Closes: #320150).
  * debian/rules:
    + Activated libgsm support.
    + Fixed theora support.
    + Switched installation method to dh_install.
  * Applied patch from Christian Aichinger and others to fix the clobbering
    of the %ebx register during build (Closes: #319563).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 11 Aug 2005 14:22:03 +0200

ffmpeg (0.cvs20050626-2) unstable; urgency=low

  * ffmpeg-config.in: fixed the theora link that caused FTBFS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  1 Jul 2005 17:20:59 +0200

ffmpeg (0.cvs20050626-1) unstable; urgency=low

  * New CVS snapshot.
  * debian/control:
    + Set policy to 3.6.2.1.
  * debian/rules:
    + Fixed Vorbis support (Closes: #306023).
    + Patch by Jonas Smedegaard <dr@jones.dk>: conditionally enable these
      unofficial libraries if DEB_BUILD_OPTIONS includes "risky":
      o Mpeg2 layer 3 / MP3 (liblame-dev).
      o FAAD (libfaad2-dev).
      o FAAC (libfaac-dev).
      o XviD (libxvidcore-dev).
    + Activated theora support.
    + Activated IEEE 1394 support (Closes: #296737).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 26 Jun 2005 15:46:54 +0200

ffmpeg (0.cvs20050313-2) unstable; urgency=low

  * libavcodec/libpostproc/postprocess_template.c
    libavcodec/i386/mpegvideo_mmx_template.c: fixed my PIC MMX code (Closes: #299700).
  * debian/rules: use gcc-3.4 on PowerPC (Closes: #300686).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 21 Mar 2005 23:38:46 +0100

ffmpeg (0.cvs20050313-1) unstable; urgency=low

  * New CVS snapshot.
  * configure: fixed the builtin vector test (Closes: #293284), thanks
    to Jacob L. Anawalt.
  * libavcodec/libpostproc/postprocess_template.c
    libavcodec/i386/mpegvideo_mmx_template.c: fixed MMX code so that it can
    be compiled in PIC mode, and reactivated MMX (Closes: #290447, #290358).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Mar 2005 18:34:29 +0100

ffmpeg (0.cvs20050121-1) unstable; urgency=low

  * New CVS snapshot.
  * This snapshot fixes integer overflows that may lead to arbitrary code
    execution (Closes: #291566).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 21 Jan 2005 17:41:47 +0100

ffmpeg (0.cvs20050108-1) unstable; urgency=low

  * Re-done tarball snapshot so that it does not contain binaries.
  * ffmpeg-config.in:
    + Added missing -lvorbisenc (Closes: #289030).
  * debian/rules:
    + Install missing headers that are not in the install rule: bwswap.h,
      dsputil.h, os_support.h (Closes: #289033).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat,  8 Jan 2005 11:30:58 +0100

ffmpeg (0.cvs20050106-1) unstable; urgency=low

  * New upstream snapshot.
  * The extern/static declaration conflict was fixed upstream (Closes: #288906).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  6 Jan 2005 15:44:49 +0100

ffmpeg (0.cvs20040716-2) unstable; urgency=low

  * debian/rules:
    + Include missing rtp.h / rtsp.h in libavformat-dev.
  * ffmpeg-config.in:
    + Added -lz to the libavcodec linking flags.
    + Added -ldts / -ldts_pic, -la52, -lvorbis to the libavcodec linking flags.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 17 Aug 2004 13:27:41 +0200

ffmpeg (0.cvs20040716-1) unstable; urgency=low

  * Initial release (Closes: #199266).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 16 Jul 2004 12:47:27 +0200
